package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.VitalOrder;
import com.diagbot.service.impl.VitalOrderServiceImpl;
import com.diagbot.util.UserUtils;
import com.diagbot.vo.VitalOrderVO;
import com.google.common.collect.Lists;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2018/11/22 11:45
 */
@Component
public class VitalOrderFacade extends VitalOrderServiceImpl {

    @Autowired
    VitalOrderServiceImpl vitalOrderServiceImpl;

    public Boolean saveAll(List<VitalOrderVO> vitalOrderVOList) {
        //先删除现有排序
        QueryWrapper<VitalOrder> vitalOrderQueryWrapper = new QueryWrapper<>();
        this.remove(vitalOrderQueryWrapper);
        //插入新排序
        List<VitalOrder> vitalOrderList = Lists.newArrayList();
        for (VitalOrderVO vitalOrderVO : vitalOrderVOList) {
            VitalOrder vitalOrder = new VitalOrder();
            vitalOrder.setQuestionId(vitalOrderVO.getVitalId());
            vitalOrder.setOrderNo(vitalOrderVO.getOrderNo());
            vitalOrder.setCreator(UserUtils.getCurrentPrincipleID());
            vitalOrder.setGmtCreate(new Date());
            vitalOrderList.add(vitalOrder);
        }
        vitalOrderServiceImpl.saveBatch(vitalOrderList);
        return true;
    }

    /**
     * 获取所有查体排序关系
     * @return
     */
    public List<VitalOrder> getAll() {
        QueryWrapper<VitalOrder> vitalOrderQueryWrapper = new QueryWrapper<>();
        return this.list(vitalOrderQueryWrapper);
    }
}
